
_read_ds1307:

;MyProject.c,41 :: 		unsigned short read_ds1307(unsigned short address)
;MyProject.c,44 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;MyProject.c,45 :: 		I2C1_Wr(0xD0); //address 0x68 followed by direction bit (0 for write, 1 for read) 0x68 followed by 0 --> 0xD0
	MOVLW       208
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MyProject.c,46 :: 		I2C1_Wr(address);
	MOVF        FARG_read_ds1307_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MyProject.c,47 :: 		I2C1_Repeated_Start();
	CALL        _I2C1_Repeated_Start+0, 0
;MyProject.c,48 :: 		I2C1_Wr(0xD1); //0x68 followed by 1 --> 0xD1
	MOVLW       209
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MyProject.c,49 :: 		r_data=I2C1_Rd(0);
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       read_ds1307_r_data_L0+0 
;MyProject.c,50 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;MyProject.c,51 :: 		return(r_data);
	MOVF        read_ds1307_r_data_L0+0, 0 
	MOVWF       R0 
;MyProject.c,52 :: 		}
L_end_read_ds1307:
	RETURN      0
; end of _read_ds1307

_write_ds1307:

;MyProject.c,55 :: 		void write_ds1307(unsigned short address,unsigned short w_data)
;MyProject.c,57 :: 		I2C1_Start(); // issue I2C start signal
	CALL        _I2C1_Start+0, 0
;MyProject.c,59 :: 		I2C1_Wr(0xD0); // send byte via I2C (device address + W)
	MOVLW       208
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MyProject.c,60 :: 		I2C1_Wr(address); // send byte (address of DS1307 location)
	MOVF        FARG_write_ds1307_address+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MyProject.c,61 :: 		I2C1_Wr(w_data); // send data (data to be written)
	MOVF        FARG_write_ds1307_w_data+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;MyProject.c,62 :: 		I2C1_Stop(); // issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
;MyProject.c,63 :: 		}
L_end_write_ds1307:
	RETURN      0
; end of _write_ds1307

_BCD2UpperCh:

;MyProject.c,66 :: 		unsigned char BCD2UpperCh(unsigned char bcd)
;MyProject.c,68 :: 		return ((bcd >> 4) + '0');
	MOVF        FARG_BCD2UpperCh_bcd+0, 0 
	MOVWF       R0 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	RRCF        R0, 1 
	BCF         R0, 7 
	MOVLW       48
	ADDWF       R0, 1 
;MyProject.c,69 :: 		}
L_end_BCD2UpperCh:
	RETURN      0
; end of _BCD2UpperCh

_BCD2LowerCh:

;MyProject.c,72 :: 		unsigned char BCD2LowerCh(unsigned char bcd)
;MyProject.c,74 :: 		return ((bcd & 0x0F) + '0');
	MOVLW       15
	ANDWF       FARG_BCD2LowerCh_bcd+0, 0 
	MOVWF       R0 
	MOVLW       48
	ADDWF       R0, 1 
;MyProject.c,75 :: 		}
L_end_BCD2LowerCh:
	RETURN      0
; end of _BCD2LowerCh

_Binary2BCD:

;MyProject.c,78 :: 		int Binary2BCD(int a)
;MyProject.c,81 :: 		t1 = a%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_Binary2BCD_a+0, 0 
	MOVWF       R0 
	MOVF        FARG_Binary2BCD_a+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       Binary2BCD_t1_L0+0 
	MOVF        R1, 0 
	MOVWF       Binary2BCD_t1_L0+1 
;MyProject.c,82 :: 		t1 = t1 & 0x0F;
	MOVLW       15
	ANDWF       R0, 0 
	MOVWF       Binary2BCD_t1_L0+0 
	MOVF        R1, 0 
	MOVWF       Binary2BCD_t1_L0+1 
	MOVLW       0
	ANDWF       Binary2BCD_t1_L0+1, 1 
;MyProject.c,83 :: 		a = a/10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_Binary2BCD_a+0, 0 
	MOVWF       R0 
	MOVF        FARG_Binary2BCD_a+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_S+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_Binary2BCD_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Binary2BCD_a+1 
;MyProject.c,84 :: 		t2 = a%10;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_S+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
;MyProject.c,85 :: 		t2 = 0x0F & t2;
	MOVLW       15
	ANDWF       R0, 0 
	MOVWF       R3 
	MOVF        R1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
;MyProject.c,86 :: 		t2 = t2 << 4;
	MOVLW       4
	MOVWF       R2 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__Binary2BCD50:
	BZ          L__Binary2BCD51
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__Binary2BCD50
L__Binary2BCD51:
;MyProject.c,87 :: 		t2 = 0xF0 & t2;
	MOVLW       240
	ANDWF       R0, 1 
	MOVLW       0
	ANDWF       R1, 1 
;MyProject.c,88 :: 		t1 = t1 | t2;
	MOVF        Binary2BCD_t1_L0+0, 0 
	IORWF       R0, 1 
	MOVF        Binary2BCD_t1_L0+1, 0 
	IORWF       R1, 1 
	MOVF        R0, 0 
	MOVWF       Binary2BCD_t1_L0+0 
	MOVF        R1, 0 
	MOVWF       Binary2BCD_t1_L0+1 
;MyProject.c,89 :: 		return t1;
;MyProject.c,90 :: 		}
L_end_Binary2BCD:
	RETURN      0
; end of _Binary2BCD

_BCD2Binary:

;MyProject.c,93 :: 		int BCD2Binary(int a)
;MyProject.c,96 :: 		t = a & 0x0F;
	MOVLW       15
	ANDWF       FARG_BCD2Binary_a+0, 0 
	MOVWF       BCD2Binary_r_L0+0 
	MOVF        FARG_BCD2Binary_a+1, 0 
	MOVWF       BCD2Binary_r_L0+1 
	MOVLW       0
	ANDWF       BCD2Binary_r_L0+1, 1 
;MyProject.c,97 :: 		r = t;
;MyProject.c,98 :: 		a = 0xF0 & a;
	MOVLW       240
	ANDWF       FARG_BCD2Binary_a+0, 0 
	MOVWF       R3 
	MOVF        FARG_BCD2Binary_a+1, 0 
	MOVWF       R4 
	MOVLW       0
	ANDWF       R4, 1 
	MOVF        R3, 0 
	MOVWF       FARG_BCD2Binary_a+0 
	MOVF        R4, 0 
	MOVWF       FARG_BCD2Binary_a+1 
;MyProject.c,99 :: 		t = a >> 4;
	MOVLW       4
	MOVWF       R2 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__BCD2Binary53:
	BZ          L__BCD2Binary54
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	BTFSC       R1, 6 
	BSF         R1, 7 
	ADDLW       255
	GOTO        L__BCD2Binary53
L__BCD2Binary54:
;MyProject.c,100 :: 		t = 0x0F & t;
	MOVLW       15
	ANDWF       R0, 1 
	MOVLW       0
	ANDWF       R1, 1 
;MyProject.c,101 :: 		r = t*10 + r;
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        BCD2Binary_r_L0+0, 0 
	ADDWF       R0, 1 
	MOVF        BCD2Binary_r_L0+1, 0 
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       BCD2Binary_r_L0+0 
	MOVF        R1, 0 
	MOVWF       BCD2Binary_r_L0+1 
;MyProject.c,102 :: 		return r;
;MyProject.c,103 :: 		}
L_end_BCD2Binary:
	RETURN      0
; end of _BCD2Binary

_main:

;MyProject.c,125 :: 		void main()
;MyProject.c,127 :: 		I2C1_Init(100000); //DS1307 I2C is running at 100KHz
	MOVLW       20
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;MyProject.c,130 :: 		ADCON1 = 0x06;  // To turn off analog to digital converters
	MOVLW       6
	MOVWF       ADCON1+0 
;MyProject.c,132 :: 		TRISA = 0x07;
	MOVLW       7
	MOVWF       TRISA+0 
;MyProject.c,136 :: 		PORTA = 0x00;
	CLRF        PORTA+0 
;MyProject.c,138 :: 		Lcd_Init();                        // Initialize LCD
	CALL        _Lcd_Init+0, 0
;MyProject.c,139 :: 		Lcd_Cmd(_LCD_CLEAR);               // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;MyProject.c,140 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);          // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;MyProject.c,141 :: 		Lcd_out(1,1,"Time:");
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_MyProject+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_MyProject+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;MyProject.c,142 :: 		Lcd_out(2,1,"Date:");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_MyProject+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_MyProject+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;MyProject.c,144 :: 		do
L_main0:
;MyProject.c,146 :: 		set = 0;
	CLRF        _set+0 
;MyProject.c,147 :: 		if(PORTA.F0 == 0)
	BTFSC       PORTA+0, 0 
	GOTO        L_main3
;MyProject.c,149 :: 		Delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
	NOP
;MyProject.c,150 :: 		if(PORTA.F0 == 0)
	BTFSC       PORTA+0, 0 
	GOTO        L_main5
;MyProject.c,152 :: 		set_count++;
	INCF        _set_count+0, 1 
;MyProject.c,153 :: 		if(set_count >= 7)
	MOVLW       7
	SUBWF       _set_count+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_main6
;MyProject.c,155 :: 		set_count = 0;
	CLRF        _set_count+0 
;MyProject.c,156 :: 		}
L_main6:
;MyProject.c,157 :: 		}
L_main5:
;MyProject.c,158 :: 		}
L_main3:
;MyProject.c,159 :: 		if(set_count)
	MOVF        _set_count+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main7
;MyProject.c,161 :: 		if(PORTA.F1 == 0)
	BTFSC       PORTA+0, 1 
	GOTO        L_main8
;MyProject.c,163 :: 		Delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_main9:
	DECFSZ      R13, 1, 1
	BRA         L_main9
	DECFSZ      R12, 1, 1
	BRA         L_main9
	DECFSZ      R11, 1, 1
	BRA         L_main9
	NOP
;MyProject.c,164 :: 		if(PORTA.F1 == 0)
	BTFSC       PORTA+0, 1 
	GOTO        L_main10
;MyProject.c,165 :: 		set = 1;
	MOVLW       1
	MOVWF       _set+0 
L_main10:
;MyProject.c,166 :: 		}
L_main8:
;MyProject.c,168 :: 		if(PORTA.F2 == 0)
	BTFSC       PORTA+0, 2 
	GOTO        L_main11
;MyProject.c,170 :: 		Delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_main12:
	DECFSZ      R13, 1, 1
	BRA         L_main12
	DECFSZ      R12, 1, 1
	BRA         L_main12
	DECFSZ      R11, 1, 1
	BRA         L_main12
	NOP
;MyProject.c,171 :: 		if(PORTA.F2 == 0)
	BTFSC       PORTA+0, 2 
	GOTO        L_main13
;MyProject.c,172 :: 		set = -1;
	MOVLW       255
	MOVWF       _set+0 
L_main13:
;MyProject.c,173 :: 		}
L_main11:
;MyProject.c,174 :: 		if(set_count && set)
	MOVF        _set_count+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main16
	MOVF        _set+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main16
L__main44:
;MyProject.c,176 :: 		switch(set_count)
	GOTO        L_main17
;MyProject.c,178 :: 		case 1:
L_main19:
;MyProject.c,179 :: 		hour = BCD2Binary(hour);
	MOVF        _hour+0, 0 
	MOVWF       FARG_BCD2Binary_a+0 
	MOVF        _hour+1, 0 
	MOVWF       FARG_BCD2Binary_a+1 
	CALL        _BCD2Binary+0, 0
	MOVF        R0, 0 
	MOVWF       _hour+0 
	MOVF        R1, 0 
	MOVWF       _hour+1 
;MyProject.c,180 :: 		hour = hour + set;
	MOVF        _set+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	BTFSC       _set+0, 7 
	MOVLW       255
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _hour+0 
	MOVF        R1, 0 
	MOVWF       _hour+1 
;MyProject.c,181 :: 		hour = Binary2BCD(hour);
	MOVF        R0, 0 
	MOVWF       FARG_Binary2BCD_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Binary2BCD_a+1 
	CALL        _Binary2BCD+0, 0
	MOVF        R0, 0 
	MOVWF       _hour+0 
	MOVF        R1, 0 
	MOVWF       _hour+1 
;MyProject.c,182 :: 		if((hour & 0x1F) >= 0x13)
	MOVLW       31
	ANDWF       R0, 0 
	MOVWF       R2 
	MOVF        R1, 0 
	MOVWF       R3 
	MOVLW       0
	ANDWF       R3, 1 
	MOVLW       128
	XORWF       R3, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main56
	MOVLW       19
	SUBWF       R2, 0 
L__main56:
	BTFSS       STATUS+0, 0 
	GOTO        L_main20
;MyProject.c,184 :: 		hour = hour & 0b11100001;
	MOVLW       225
	ANDWF       _hour+0, 1 
	MOVLW       0
	ANDWF       _hour+1, 1 
;MyProject.c,185 :: 		hour = hour ^ 0x20;
	BTG         _hour+0, 5 
;MyProject.c,186 :: 		}
	GOTO        L_main21
L_main20:
;MyProject.c,187 :: 		else if((hour & 0x1F) <= 0x00)
	MOVLW       31
	ANDWF       _hour+0, 0 
	MOVWF       R1 
	MOVF        _hour+1, 0 
	MOVWF       R2 
	MOVLW       0
	ANDWF       R2, 1 
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       R2, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main57
	MOVF        R1, 0 
	SUBLW       0
L__main57:
	BTFSS       STATUS+0, 0 
	GOTO        L_main22
;MyProject.c,189 :: 		hour = hour | 0b00010010;
	MOVLW       18
	IORWF       _hour+0, 1 
	MOVLW       0
	IORWF       _hour+1, 1 
;MyProject.c,190 :: 		hour = hour ^ 0x20;
	BTG         _hour+0, 5 
;MyProject.c,191 :: 		}
L_main22:
L_main21:
;MyProject.c,192 :: 		write_ds1307(2, hour); //write hour
	MOVLW       2
	MOVWF       FARG_write_ds1307_address+0 
	MOVF        _hour+0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MyProject.c,193 :: 		break;
	GOTO        L_main18
;MyProject.c,194 :: 		case 2:
L_main23:
;MyProject.c,195 :: 		minute = BCD2Binary(minute);
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2Binary_a+0 
	MOVF        _minute+1, 0 
	MOVWF       FARG_BCD2Binary_a+1 
	CALL        _BCD2Binary+0, 0
	MOVF        R0, 0 
	MOVWF       _minute+0 
	MOVF        R1, 0 
	MOVWF       _minute+1 
;MyProject.c,196 :: 		minute = minute + set;
	MOVF        _set+0, 0 
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	BTFSC       _set+0, 7 
	MOVLW       255
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVF        R2, 0 
	MOVWF       _minute+0 
	MOVF        R3, 0 
	MOVWF       _minute+1 
;MyProject.c,197 :: 		if(minute >= 60)
	MOVLW       128
	XORWF       R3, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main58
	MOVLW       60
	SUBWF       R2, 0 
L__main58:
	BTFSS       STATUS+0, 0 
	GOTO        L_main24
;MyProject.c,198 :: 		minute = 0;
	CLRF        _minute+0 
	CLRF        _minute+1 
L_main24:
;MyProject.c,199 :: 		if(minute < 0)
	MOVLW       128
	XORWF       _minute+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main59
	MOVLW       0
	SUBWF       _minute+0, 0 
L__main59:
	BTFSC       STATUS+0, 0 
	GOTO        L_main25
;MyProject.c,200 :: 		minute = 59;
	MOVLW       59
	MOVWF       _minute+0 
	MOVLW       0
	MOVWF       _minute+1 
L_main25:
;MyProject.c,201 :: 		minute = Binary2BCD(minute);
	MOVF        _minute+0, 0 
	MOVWF       FARG_Binary2BCD_a+0 
	MOVF        _minute+1, 0 
	MOVWF       FARG_Binary2BCD_a+1 
	CALL        _Binary2BCD+0, 0
	MOVF        R0, 0 
	MOVWF       _minute+0 
	MOVF        R1, 0 
	MOVWF       _minute+1 
;MyProject.c,202 :: 		write_ds1307(1, minute); //write min
	MOVLW       1
	MOVWF       FARG_write_ds1307_address+0 
	MOVF        R0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MyProject.c,203 :: 		break;
	GOTO        L_main18
;MyProject.c,204 :: 		case 3:
L_main26:
;MyProject.c,205 :: 		if(abs(set))
	MOVF        _set+0, 0 
	MOVWF       FARG_abs_a+0 
	MOVLW       0
	BTFSC       _set+0, 7 
	MOVLW       255
	MOVWF       FARG_abs_a+1 
	CALL        _abs+0, 0
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_main27
;MyProject.c,206 :: 		write_ds1307(0,0x00); //Reset second to 0 sec. and start Oscillator
	CLRF        FARG_write_ds1307_address+0 
	CLRF        FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
L_main27:
;MyProject.c,207 :: 		break;
	GOTO        L_main18
;MyProject.c,208 :: 		case 4:
L_main28:
;MyProject.c,209 :: 		day = BCD2Binary(day);
	MOVF        _day+0, 0 
	MOVWF       FARG_BCD2Binary_a+0 
	MOVF        _day+1, 0 
	MOVWF       FARG_BCD2Binary_a+1 
	CALL        _BCD2Binary+0, 0
	MOVF        R0, 0 
	MOVWF       _day+0 
	MOVF        R1, 0 
	MOVWF       _day+1 
;MyProject.c,210 :: 		day = day + set;
	MOVF        _set+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	BTFSC       _set+0, 7 
	MOVLW       255
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _day+0 
	MOVF        R1, 0 
	MOVWF       _day+1 
;MyProject.c,211 :: 		day = Binary2BCD(day);
	MOVF        R0, 0 
	MOVWF       FARG_Binary2BCD_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Binary2BCD_a+1 
	CALL        _Binary2BCD+0, 0
	MOVF        R0, 0 
	MOVWF       _day+0 
	MOVF        R1, 0 
	MOVWF       _day+1 
;MyProject.c,212 :: 		if(day >= 0x32)
	MOVLW       128
	XORWF       R1, 0 
	MOVWF       R2 
	MOVLW       128
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main60
	MOVLW       50
	SUBWF       R0, 0 
L__main60:
	BTFSS       STATUS+0, 0 
	GOTO        L_main29
;MyProject.c,213 :: 		day = 1;
	MOVLW       1
	MOVWF       _day+0 
	MOVLW       0
	MOVWF       _day+1 
L_main29:
;MyProject.c,214 :: 		if(day <= 0)
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _day+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main61
	MOVF        _day+0, 0 
	SUBLW       0
L__main61:
	BTFSS       STATUS+0, 0 
	GOTO        L_main30
;MyProject.c,215 :: 		day = 0x31;
	MOVLW       49
	MOVWF       _day+0 
	MOVLW       0
	MOVWF       _day+1 
L_main30:
;MyProject.c,216 :: 		write_ds1307(4, day); // write date 17
	MOVLW       4
	MOVWF       FARG_write_ds1307_address+0 
	MOVF        _day+0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MyProject.c,217 :: 		break;
	GOTO        L_main18
;MyProject.c,218 :: 		case 5:
L_main31:
;MyProject.c,219 :: 		month = BCD2Binary(month);
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2Binary_a+0 
	MOVF        _month+1, 0 
	MOVWF       FARG_BCD2Binary_a+1 
	CALL        _BCD2Binary+0, 0
	MOVF        R0, 0 
	MOVWF       _month+0 
	MOVF        R1, 0 
	MOVWF       _month+1 
;MyProject.c,220 :: 		month = month + set;
	MOVF        _set+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	BTFSC       _set+0, 7 
	MOVLW       255
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _month+0 
	MOVF        R1, 0 
	MOVWF       _month+1 
;MyProject.c,221 :: 		month = Binary2BCD(month);
	MOVF        R0, 0 
	MOVWF       FARG_Binary2BCD_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Binary2BCD_a+1 
	CALL        _Binary2BCD+0, 0
	MOVF        R0, 0 
	MOVWF       _month+0 
	MOVF        R1, 0 
	MOVWF       _month+1 
;MyProject.c,222 :: 		if(month > 0x12)
	MOVLW       128
	MOVWF       R2 
	MOVLW       128
	XORWF       R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main62
	MOVF        R0, 0 
	SUBLW       18
L__main62:
	BTFSC       STATUS+0, 0 
	GOTO        L_main32
;MyProject.c,223 :: 		month = 1;
	MOVLW       1
	MOVWF       _month+0 
	MOVLW       0
	MOVWF       _month+1 
L_main32:
;MyProject.c,224 :: 		if(month <= 0)
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       _month+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main63
	MOVF        _month+0, 0 
	SUBLW       0
L__main63:
	BTFSS       STATUS+0, 0 
	GOTO        L_main33
;MyProject.c,225 :: 		month = 0x12;
	MOVLW       18
	MOVWF       _month+0 
	MOVLW       0
	MOVWF       _month+1 
L_main33:
;MyProject.c,226 :: 		write_ds1307(5,month); // write month 6 June
	MOVLW       5
	MOVWF       FARG_write_ds1307_address+0 
	MOVF        _month+0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MyProject.c,227 :: 		break;
	GOTO        L_main18
;MyProject.c,228 :: 		case 6:
L_main34:
;MyProject.c,229 :: 		year = BCD2Binary(year);
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2Binary_a+0 
	MOVF        _year+1, 0 
	MOVWF       FARG_BCD2Binary_a+1 
	CALL        _BCD2Binary+0, 0
	MOVF        R0, 0 
	MOVWF       _year+0 
	MOVF        R1, 0 
	MOVWF       _year+1 
;MyProject.c,230 :: 		year = year + set;
	MOVF        _set+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	BTFSC       _set+0, 7 
	MOVLW       255
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       _year+0 
	MOVF        R1, 0 
	MOVWF       _year+1 
;MyProject.c,231 :: 		year = Binary2BCD(year);
	MOVF        R0, 0 
	MOVWF       FARG_Binary2BCD_a+0 
	MOVF        R1, 0 
	MOVWF       FARG_Binary2BCD_a+1 
	CALL        _Binary2BCD+0, 0
	MOVF        R0, 0 
	MOVWF       _year+0 
	MOVF        R1, 0 
	MOVWF       _year+1 
;MyProject.c,232 :: 		if(year <= -1)
	MOVLW       127
	MOVWF       R2 
	MOVLW       128
	XORWF       R1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main64
	MOVF        R0, 0 
	SUBLW       255
L__main64:
	BTFSS       STATUS+0, 0 
	GOTO        L_main35
;MyProject.c,233 :: 		year = 0x99;
	MOVLW       153
	MOVWF       _year+0 
	MOVLW       0
	MOVWF       _year+1 
L_main35:
;MyProject.c,234 :: 		if(year >= 0x50)
	MOVLW       128
	XORWF       _year+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main65
	MOVLW       80
	SUBWF       _year+0, 0 
L__main65:
	BTFSS       STATUS+0, 0 
	GOTO        L_main36
;MyProject.c,235 :: 		year = 0;
	CLRF        _year+0 
	CLRF        _year+1 
L_main36:
;MyProject.c,236 :: 		write_ds1307(6, year); // write year
	MOVLW       6
	MOVWF       FARG_write_ds1307_address+0 
	MOVF        _year+0, 0 
	MOVWF       FARG_write_ds1307_w_data+0 
	CALL        _write_ds1307+0, 0
;MyProject.c,237 :: 		break;
	GOTO        L_main18
;MyProject.c,238 :: 		}
L_main17:
	MOVF        _set_count+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_main19
	MOVF        _set_count+0, 0 
	XORLW       2
	BTFSC       STATUS+0, 2 
	GOTO        L_main23
	MOVF        _set_count+0, 0 
	XORLW       3
	BTFSC       STATUS+0, 2 
	GOTO        L_main26
	MOVF        _set_count+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L_main28
	MOVF        _set_count+0, 0 
	XORLW       5
	BTFSC       STATUS+0, 2 
	GOTO        L_main31
	MOVF        _set_count+0, 0 
	XORLW       6
	BTFSC       STATUS+0, 2 
	GOTO        L_main34
L_main18:
;MyProject.c,239 :: 		}
L_main16:
;MyProject.c,240 :: 		}
L_main7:
;MyProject.c,242 :: 		second = read_ds1307(0);
	CLRF        FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _second+0 
	MOVLW       0
	MOVWF       _second+1 
;MyProject.c,243 :: 		minute = read_ds1307(1);
	MOVLW       1
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _minute+0 
	MOVLW       0
	MOVWF       _minute+1 
;MyProject.c,244 :: 		hour = read_ds1307(2);
	MOVLW       2
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _hour+0 
	MOVLW       0
	MOVWF       _hour+1 
;MyProject.c,245 :: 		hr = hour & 0b00011111;
	MOVLW       31
	ANDWF       _hour+0, 0 
	MOVWF       _hr+0 
	MOVF        _hour+1, 0 
	MOVWF       _hr+1 
	MOVLW       0
	ANDWF       _hr+1, 1 
;MyProject.c,246 :: 		ap = hour & 0b00100000;
	MOVLW       32
	ANDWF       _hour+0, 0 
	MOVWF       _ap+0 
	MOVF        _hour+1, 0 
	MOVWF       _ap+1 
	MOVLW       0
	ANDWF       _ap+1, 1 
;MyProject.c,247 :: 		dday = read_ds1307(3);
	MOVLW       3
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _dday+0 
	MOVLW       0
	MOVWF       _dday+1 
;MyProject.c,248 :: 		day = read_ds1307(4);
	MOVLW       4
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _day+0 
	MOVLW       0
	MOVWF       _day+1 
;MyProject.c,249 :: 		date3=read_ds1307(4); // read date
	MOVLW       4
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _date3+0 
	MOVLW       0
	MOVWF       _date3+1 
;MyProject.c,250 :: 		month = read_ds1307(5);
	MOVLW       5
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _month+0 
	MOVLW       0
	MOVWF       _month+1 
;MyProject.c,251 :: 		year = read_ds1307(6);
	MOVLW       6
	MOVWF       FARG_read_ds1307_address+0 
	CALL        _read_ds1307+0, 0
	MOVF        R0, 0 
	MOVWF       _year+0 
	MOVLW       0
	MOVWF       _year+1 
;MyProject.c,254 :: 		time[0] = BCD2UpperCh(hr);
	MOVF        _hr+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       _time+0 
;MyProject.c,255 :: 		time[1] = BCD2LowerCh(hr);
	MOVF        _hr+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       _time+1 
;MyProject.c,256 :: 		time[3] = BCD2UpperCh(minute);
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       _time+3 
;MyProject.c,257 :: 		time[4] = BCD2LowerCh(minute);
	MOVF        _minute+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       _time+4 
;MyProject.c,258 :: 		time[6] = BCD2UpperCh(second);
	MOVF        _second+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       _time+6 
;MyProject.c,259 :: 		time[7] = BCD2LowerCh(second);
	MOVF        _second+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       _time+7 
;MyProject.c,261 :: 		date[0] = BCD2UpperCh(day);
	MOVF        _day+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       _date+0 
;MyProject.c,262 :: 		date[1] = BCD2LowerCh(day);
	MOVF        _day+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       _date+1 
;MyProject.c,263 :: 		date[3] = BCD2UpperCh(month);
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       _date+3 
;MyProject.c,264 :: 		date[4] = BCD2LowerCh(month);
	MOVF        _month+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       _date+4 
;MyProject.c,265 :: 		date[6] = BCD2UpperCh(year);
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2UpperCh_bcd+0 
	CALL        _BCD2UpperCh+0, 0
	MOVF        R0, 0 
	MOVWF       _date+6 
;MyProject.c,266 :: 		date[7] = BCD2LowerCh(year);
	MOVF        _year+0, 0 
	MOVWF       FARG_BCD2LowerCh_bcd+0 
	CALL        _BCD2LowerCh+0, 0
	MOVF        R0, 0 
	MOVWF       _date+7 
;MyProject.c,268 :: 		if(ap)
	MOVF        _ap+0, 0 
	IORWF       _ap+1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_main37
;MyProject.c,270 :: 		time[9] = 'P';
	MOVLW       80
	MOVWF       _time+9 
;MyProject.c,271 :: 		time[10] = 'M';
	MOVLW       77
	MOVWF       _time+10 
;MyProject.c,272 :: 		}
	GOTO        L_main38
L_main37:
;MyProject.c,275 :: 		time[9] = 'A';
	MOVLW       65
	MOVWF       _time+9 
;MyProject.c,276 :: 		time[10] = 'M';
	MOVLW       77
	MOVWF       _time+10 
;MyProject.c,277 :: 		}
L_main38:
;MyProject.c,279 :: 		date1= Bcd2Dec16(date3);
	MOVF        _date3+0, 0 
	MOVWF       FARG_Bcd2Dec16_bcdnum+0 
	MOVF        _date3+1, 0 
	MOVWF       FARG_Bcd2Dec16_bcdnum+1 
	CALL        _Bcd2Dec16+0, 0
	MOVF        R0, 0 
	MOVWF       _date1+0 
	MOVF        R1, 0 
	MOVWF       _date1+1 
;MyProject.c,281 :: 		if (date[3]='1') {
	MOVLW       49
	MOVWF       _date+3 
;MyProject.c,282 :: 		fager[2]=Jan[0][0];
	MOVF        _Jan+0, 0 
	MOVWF       _fager+2 
;MyProject.c,283 :: 		fager[1]=0;
	CLRF        _fager+1 
;MyProject.c,284 :: 		fager[0]=Jan[date1][0];
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       _Jan+0
	ADDWF       R0, 0 
	MOVWF       FLOC__main+2 
	MOVLW       hi_addr(_Jan+0)
	ADDWFC      R1, 0 
	MOVWF       FLOC__main+3 
	MOVFF       FLOC__main+2, FSR0
	MOVFF       FLOC__main+3, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       _fager+0 
;MyProject.c,286 :: 		shrouq[2]=Jan[0][1]  ;
	MOVF        _Jan+1, 0 
	MOVWF       _shrouq+2 
;MyProject.c,287 :: 		shrouq[1]=((Jan[date1][1])/10)%10  ;
	MOVLW       1
	ADDWF       FLOC__main+2, 0 
	MOVWF       FLOC__main+0 
	MOVLW       0
	ADDWFC      FLOC__main+3, 0 
	MOVWF       FLOC__main+1 
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _shrouq+1 
;MyProject.c,288 :: 		shrouq[0]=(Jan[date1][1])%10    ;
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _shrouq+0 
;MyProject.c,290 :: 		zoher[3]=1  ;
	MOVLW       1
	MOVWF       _zoher+3 
;MyProject.c,291 :: 		zoher[2]=1  ;
	MOVLW       1
	MOVWF       _zoher+2 
;MyProject.c,292 :: 		zoher[1]=((Jan[date1][2])/10)%10  ;
	MOVLW       2
	ADDWF       FLOC__main+2, 0 
	MOVWF       FLOC__main+0 
	MOVLW       0
	ADDWFC      FLOC__main+3, 0 
	MOVWF       FLOC__main+1 
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _zoher+1 
;MyProject.c,293 :: 		zoher[0]=(Jan[date1][2])%10    ;
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _zoher+0 
;MyProject.c,297 :: 		aser[2]=2  ;
	MOVLW       2
	MOVWF       _aser+2 
;MyProject.c,298 :: 		aser[1]=((Jan[date1][3])/10)%10  ;
	MOVLW       3
	ADDWF       FLOC__main+2, 0 
	MOVWF       FLOC__main+0 
	MOVLW       0
	ADDWFC      FLOC__main+3, 0 
	MOVWF       FLOC__main+1 
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _aser+1 
;MyProject.c,299 :: 		aser[0]=(Jan[date1][3])%10 ;
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _aser+0 
;MyProject.c,301 :: 		if (date1<10) { maghreb[2]=4 ;} else  { maghreb[2]=5; }
	MOVLW       128
	XORWF       _date1+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main66
	MOVLW       10
	SUBWF       _date1+0, 0 
L__main66:
	BTFSC       STATUS+0, 0 
	GOTO        L_main40
	MOVLW       4
	MOVWF       _maghreb+2 
	GOTO        L_main41
L_main40:
	MOVLW       5
	MOVWF       _maghreb+2 
L_main41:
;MyProject.c,302 :: 		maghreb[1]=((Jan[date1][4])/10)%10  ;
	MOVLW       6
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        _date1+0, 0 
	MOVWF       R4 
	MOVF        _date1+1, 0 
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVLW       _Jan+0
	ADDWF       R0, 0 
	MOVWF       FLOC__main+2 
	MOVLW       hi_addr(_Jan+0)
	ADDWFC      R1, 0 
	MOVWF       FLOC__main+3 
	MOVLW       4
	ADDWF       FLOC__main+2, 0 
	MOVWF       FLOC__main+0 
	MOVLW       0
	ADDWFC      FLOC__main+3, 0 
	MOVWF       FLOC__main+1 
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _maghreb+1 
;MyProject.c,303 :: 		maghreb[0]=(Jan[date1][4])%10 ;
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _maghreb+0 
;MyProject.c,305 :: 		isha[2]=6  ;
	MOVLW       6
	MOVWF       _isha+2 
;MyProject.c,306 :: 		isha[1]=((Jan[date1][5])/10)%10  ;
	MOVLW       5
	ADDWF       FLOC__main+2, 0 
	MOVWF       FLOC__main+0 
	MOVLW       0
	ADDWFC      FLOC__main+3, 0 
	MOVWF       FLOC__main+1 
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _isha+1 
;MyProject.c,307 :: 		isha[0]=(Jan[date1][5])%10 ;
	MOVFF       FLOC__main+0, FSR0
	MOVFF       FLOC__main+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       10
	MOVWF       R4 
	CALL        _Div_8x8_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       _isha+0 
;MyProject.c,308 :: 		Lcd_out(2, 6, isha);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       6
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _isha+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_isha+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;MyProject.c,311 :: 		Lcd_out(1, 6, time);
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       6
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _time+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_time+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;MyProject.c,312 :: 		delay_ms(300);
	MOVLW       4
	MOVWF       R11, 0
	MOVLW       12
	MOVWF       R12, 0
	MOVLW       51
	MOVWF       R13, 0
L_main42:
	DECFSZ      R13, 1, 1
	BRA         L_main42
	DECFSZ      R12, 1, 1
	BRA         L_main42
	DECFSZ      R11, 1, 1
	BRA         L_main42
	NOP
	NOP
;MyProject.c,313 :: 		Lcd_out(2, 6, aser);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       6
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       _aser+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(_aser+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;MyProject.c,315 :: 		Delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_main43:
	DECFSZ      R13, 1, 1
	BRA         L_main43
	DECFSZ      R12, 1, 1
	BRA         L_main43
	DECFSZ      R11, 1, 1
	BRA         L_main43
	NOP
;MyProject.c,318 :: 		}while(1);
	GOTO        L_main0
;MyProject.c,319 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
